Bug 243969 - part of suspend process happens when permission is denied
part of suspend process happens when permission is denied
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 01:04 EDT by David Baron
Modified: 2013-03-05 22:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Baron 2007-06-13 01:04:30 EDT
Description of problem:  When permission to suspend is denied (which is a
separate bug that I'll file), part of the suspend process runs, messing things
up pretty badly (disconnecting from the network, and in my case also making the
keyboard completely non-functional, which means I have to hard-power-off).

Version-Release number of selected component (if applicable):
gnome-power-manager-2.18.2-4.fc7
hal-0.5.9-8.fc7
hal-info-20070516-2.fc7
pm-utils-0.99.3-6.fc7

How reproducible:  Tried once.

Steps to Reproduce:
1. Switch to console using Ctrl-Alt-F1
2. Press suspend key on laptop (Fn-F4 on my IBM T42)
  
Actual results:  Machine doesn't suspend, but I hear a short horn noise
indicating permission denied, and the keyboard stops working, and I get the
following in the syslog:

Jun 13 04:48:08 ridley gnome-power-manager: (dbaron) Suspending computer because
the suspend button has been pressed
Jun 13 04:48:09 ridley gnome-power-manager: (dbaron) Permission denied: Not in
active session code='32' quark='g-exec-error-quark'
Jun 13 04:48:09 ridley gnome-power-manager: (dbaron) Resuming computer
Jun 13 04:48:10 ridley NetworkManager: <info>  Going to sleep. 
Jun 13 04:48:10 ridley gnome-power-manager: (dbaron) suspend failed
Jun 13 04:48:10 ridley dhclient: DHCPRELEASE on eth1 to 192.168.204.1 port 67
Jun 13 04:48:10 ridley dhclient: send_packet: Network is unreachable
Jun 13 04:48:10 ridley dhclient: send_packet: please consult README file
regarding broadcast address.

Expected results:  If permission to suspend was denied, machine shouldn't do
part of the suspend process.
Comment 1 Richard Hughes 2007-06-13 06:32:00 EDT
Yes, this is because we are not using ConsoleKit, and just waiting for the
action to be denied by HAL. Could you please file this in gnome bugzilla, and
I'll have a go at fixing this at the weekend. Thanks.
Comment 2 David Baron 2007-06-13 17:10:31 EDT
Filed as http://bugzilla.gnome.org/show_bug.cgi?id=447319
Comment 3 David Zeuthen 2007-06-14 16:21:20 EDT
Richard, I think we also need to change the gconf defaults for Fedora, at least,
such that g-p-m does not poke NM anymore. Can you do this please? Thanks.
Comment 4 Bug Zapper 2008-05-14 09:02:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:34:13 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.